rec {
  # interfaces
  wan-if = "enp5s0";
  vpn-if = "wg0";
  proxy-if = "proxy";

  # nets
  lan-net = "10.0.0.0/24";
  vpn-net = "10.3.0.0/24";
  proxy-net = "10.4.0.0/24";
  external_lan-net = "192.168.1.0/24";

  # ips
  dvr-lan = "10.0.0.2";
  nas-lan = "10.0.0.3";
  architect-lan = "10.0.0.250";
  giupi-lan = "10.0.0.251";

  proxy-wg = "10.4.0.1";
  architect-wg = "10.3.0.1";
  galuminum-wg = "10.3.0.2";
  oneplus-wg = "10.3.0.3";
  ipad-wg = "10.3.0.4";
  manduria-wg = "10.3.0.5";
  antonio-wg = "10.3.0.6";
  gbeast-wg = "10.3.0.7";
  parisaphone-wg = "10.3.0.8";
  parisapc-wg = "10.3.0.9";
  peppiniell-wg = "10.3.0.10";
  padulino-wg = "10.3.0.11";
  shield-wg = "10.3.0.12";
  pepos-wg = "10.3.0.15";
  salvatore-wg = "10.3.0.16";
  papa-wg = "10.3.0.17";
  defy-wg = "10.3.0.18";
  germano-wg = "10.3.0.19";
  flavio-wg = "10.3.0.20";
  tommy-wg = "10.3.0.21";
  alain-wg = "10.3.0.22";
  dima-wg = "10.3.0.23";
  mikey-wg = "10.3.0.24";
  andrew-wg = "10.3.0.25";
  mikeylaptop-wg = "10.3.0.26";
  andrewdesktop-wg = "10.3.0.27";
  jacopo-wg = "10.3.0.28";
  frznn-wg = "10.3.0.29";
  eleonora-wg = "10.3.0.100";
  angellane-wg = "10.3.0.200";
  hotpottino-wg = "10.3.0.201";
  dodino-wg = "10.3.0.202";
  wolfsonhouse-wg = "10.3.0.203";

  # groups
  gdevices-wg =
    [ galuminum-wg oneplus-wg ipad-wg gbeast-wg peppiniell-wg padulino-wg ];
  routers-wg = [ hotpottino-wg angellane-wg dodino-wg wolfsonhouse-wg ];
  c2c-wg = [ ] ++ gdevices-wg;
  towan-wg = [ shield-wg parisaphone-wg parisapc-wg ] ++ gdevices-wg
    ++ routers-wg;
  gamenet-wg = [
    andrew-wg
    galuminum-wg
    gbeast-wg
    mikey-wg
    andrewdesktop-wg
    mikeylaptop-wg
    flavio-wg
    salvatore-wg
  ];

  # domains
  sonarrdomain = "htson.giugl.io";
  radarrdomain = "htrad.giugl.io";
  bazarrdomain = "htbaz.giugl.io";
  nzbgetdomain = "htnzb.giugl.io";
  mediadomain = "media.giugl.io";
  gitdomain = "git.giugl.io";
  nextclouddomain = "cloud.giugl.io";
  miniodomain = "s3.giugl.io";
  clouddomain = "cloud.giugl.io";
  matrixdomain = "matrix.giugl.io";
  matrixwebdomain = "chat.giugl.io";
  prowlarrdomain = "htpro.giugl.io";
  jupyterdomain = "labs.giugl.io";
}
