with import ./network.nix; {
  services = {
    radarr.enable = true;

    nginx.virtualHosts.${radarrdomain} = {
      forceSSL = true;
      enableACME = true;
      locations."/" = {
        proxyPass = "http://localhost:7878";
        extraConfig = ''
          allow 10.0.0.0/24;
          allow 10.3.0.0/24;
          deny all;
        '';
      };
    };
  };

  networking.extraHosts = ''
    ${architect-lan} ${radarrdomain}
    ${architect-wg} ${radarrdomain}
  '';

  users.groups.media.members = [ "radarr" ];
}
