{ pkgs, ... }:

let
  albert_autostart = (pkgs.makeAutostartItem {
    name = "albert";
    package = pkgs.albert;
  });
  guake_autostart = (pkgs.makeAutostartItem {
    name = "guake";
    package = pkgs.guake;
  });
in {
  imports = [ ./gnome.nix ];

  nixpkgs.config.allowUnfree = true;
  home.packages = with pkgs; [
    albert
    guake

    firefox
    brave
    chromium

    slack
    signal-desktop
    teams
    discord
    element-desktop

    spotify

    gparted

    libreoffice
    vscode
    jetbrains.idea-ultimate

    albert_autostart
    guake_autostart
  ];
}
